Subject: bug#2525: closed (Re: bug#2525: NS crash: font selector)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 17 Feb 2013 03:03:02 +0000

Your bug report

#2525: NS crash: font selector

which was filed against the emacs,ns package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
2525: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2525
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2525: NS crash: font selector
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sat, 16 Feb 2013 22:01:39 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Sorry no-one ever replied. After so much time, I don't think we can do
anything without a recipe to produce this issue. If it happens again
with the current version of Emacs (currently 24.2), please make a new
report and hopefully we do better next time.

Subject: NS crash: font selector
From: David Reitter <[email-masked]>
To: [email-masked]
Date: Sun, 1 Mar 2009 16:25:31 -0500

I had a crash with NS, current CVS version.   I showed the font panel,  
searched for "Lucida" in it, and then clicked on one of the Lucida  
fonts.  I can't reproduce the crash, but the trace is below.

Process:         Emacs [31194]
Path:            /Users/dr/Projects/Bazaar-Playground/emacs.cvs/ 
nextstep/Emacs.app/Contents/MacOS/Emacs
Identifier:      org.gnu.Emacs
Version:         Version 23.0.90 (9.0)
Code Type:       X86 (Native)
Parent Process:  launchd [76]

Date/Time:       2009-03-01 16:07:04.692 -0500
OS Version:      Mac OS X 10.5.6 (9G55)
Report Version:  6

Exception Type:  EXC_BREAKPOINT (SIGABRT)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread:  0

Application Specific Information:
*** Terminating app due to uncaught exception  
'NSInvalidArgumentException', reason: '*** -[NSCFType  
removeAllObjects]: unrecognized selector sent to instance 0x10ac56f0'

Thread 0 Crashed:
0   libSystem.B.dylib             	0x9019ce42 __kill + 10
1   org.gnu.Emacs                 	0x0009267a fatal_error_signal + 314  
(emacs.c:404)
2   libSystem.B.dylib             	0x9019b2bb _sigtramp + 43
3   ???                           	0xffffffff 0 + 4294967295
4   libSystem.B.dylib             	0x9020f23a raise + 26
5   libSystem.B.dylib             	0x9021b679 abort + 73
6   org.gnu.Emacs                 	0x0016cce5 ns_term_shutdown + 117  
(nsterm.m:4025)
7   org.gnu.Emacs                 	0x000926cf fatal_error_signal + 399  
(emacs.c:389)
8   libSystem.B.dylib             	0x9019b2bb _sigtramp + 43
9   ???                           	0xffffffff 0 + 4294967295
10  libobjc.A.dylib               	0x94837e3b objc_exception_throw + 40
11  com.apple.CoreFoundation      	0x94fca30a -[NSObject  
doesNotRecognizeSelector:] + 186
12  com.apple.CoreFoundation      	0x94fc890c ___forwarding___ + 892
13  com.apple.CoreFoundation      	0x94fc89d2 _CF_forwarding_prep_0 + 50
14  org.gnu.Emacs                 	0x001884ea  
nsfont_make_fontset_for_font + 362 (nsfont.m:1200)
15  org.gnu.Emacs                 	0x0018b6dd fontset_from_font + 525  
(fontset.c:1694)
16  org.gnu.Emacs                 	0x0017475b x_new_font + 251  
(nsterm.m:6376)
17  org.gnu.Emacs                 	0x00014098 x_set_font + 328  
(frame.c:3413)
18  org.gnu.Emacs                 	0x00012d16 x_set_frame_parameters +  
486 (frame.c:3011)
19  org.gnu.Emacs                 	0x00013872 Fmodify_frame_parameters  
+ 434 (frame.c:2538)
20  org.gnu.Emacs                 	0x0010a598 Ffuncall + 1016 (eval.c: 
3054)
21  org.gnu.Emacs                 	0x0014577b Fbyte_code + 3835  
(bytecode.c:678)
22  org.gnu.Emacs                 	0x00109e21 funcall_lambda + 209  
(eval.c:3236)
23  org.gnu.Emacs                 	0x0010a36b Ffuncall + 459 (eval.c: 
3101)
24  org.gnu.Emacs                 	0x0010bf03 apply1 + 83 (eval.c:2798)
25  org.gnu.Emacs                 	0x00105c4c Fcall_interactively +  
524 (callint.c:390)
26  org.gnu.Emacs                 	0x0010a571 Ffuncall + 977 (eval.c: 
3050)

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
     `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/Users/dr/Projects/Bazaar-Playground/emacs.cvs/nextstep/Emacs.app/ 
Contents/Resources/etc/DEBUG for instructions.

In GNU Emacs 23.0.90.6 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
  of 2009-03-01 on scarlett
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--without-x' '--with-ns''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: nil
   value of $XMODIFIERS: nil
   locale-coding-system: nil
   default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   global-auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<help-echo> <down-mouse-1> <mouse-1> C-x 0 <menu-bar>
<help-menu> <send-emacs-bug-report>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.